For the complete documentation index, see llms.txt. This page is also available as Markdown.

Vehicles

Get vehicles

get
/vehicles/

This api is used to sync vehicles with WorkorderApp. Each vehicle record can contain the following data:

Parameter
Description
Required
Type (size)

veh_license_plate

Unique license plate

Y

Varchar (255)

veh_title

Title of the vehicle

Y

Varchar (255)

veh_brand

Brand of the vehicle

N

Varchar (255)

veh_model

Model of the vehicle

N

Varchar (255)

veh_type

Type of the vehicle.

N

Varchar (255)

veh_image

Url of the image . POST: An external url should be provided. GET: You will receive a workorderapp url.

Y

veh_driver

Driver of the vehicle. This us a reference to the employee number

N

Varchar (255)

veh_driving

Indication if the vehicle is driving. When the value is set to 1 it will be shown in the planbord.

N

Integer (11)

veh_active

Indication if the vehicle is active

N

Integer (11)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Responses
200

Response_200

No content

get/vehicles/
GET /vehicles/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Add vehicles

post
/vehicles/

This api is used to sync vehicles with WorkorderApp. Each vehicle record can contain the following data:

Parameter
Description
Required
Type (size)

veh_license_plate

Unique license plate

Y

Varchar (255)

veh_title

Title of the vehicle

Y

Varchar (255)

veh_brand

Brand of the vehicle

N

Varchar (255)

veh_model

Model of the vehicle

N

Varchar (255)

veh_type

Type of the vehicle.

N

Varchar (255)

veh_image

Url of the image . POST: An external url should be provided. GET: You will receive a workorderapp url.

Y

veh_driver

Driver of the vehicle. This us a reference to the employee number

N

Varchar (255)

veh_driving

Indication if the vehicle is driving. When the value is set to 1 it will be shown in the planbord.

N

Integer (11)

veh_active

Indication if the vehicle is active

N

Integer (11)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Responses
200

Response_200

No content

post/vehicles/
POST /vehicles/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Last updated

Was this helpful?